----------------------------------------------------------------------------------------------
--
--
--      Input file         : C:/Download/_Halbleiter/Altera/terasic/DE0_Nano_v1.0.5_SystemCD/Demonstration/DE0_NANO_GSensor.vhdl/v/reset_delay.v
--      Design name        : reset_delay
--      Author             : 
--      Company            : 
--
--      Description        : 
--
--
----------------------------------------------------------------------------------------------
--
LIBRARY IEEE;
USE IEEE.std_logic_1164.all;
USE IEEE.std_logic_unsigned.all;

ENTITY reset_delay IS
   PORT (
      iRSTN                   : IN std_logic;   
      iCLK                    : IN std_logic;   
      oRST                    : OUT std_logic);   
END reset_delay;

ARCHITECTURE translated OF reset_delay IS


   SIGNAL cont                     :  std_logic_vector(20 DOWNTO 0);   
   SIGNAL oRST_xhdl1               :  std_logic;   

BEGIN
   oRST <= oRST_xhdl1;

   PROCESS (iCLK,iRSTN)
   BEGIN
      IF (iRSTN = '0') THEN
         cont <= "000000000000000000000";    
         oRST_xhdl1 <= '1';    
      ELSIF rising_edge(iCLK) THEN
         IF (NOT cont(20) = '1') THEN
            cont <= cont + "000000000000000000001";    
            oRST_xhdl1 <= '1';    
         ELSE
            oRST_xhdl1 <= '0';    
         END IF;
      END IF;
   END PROCESS;

END translated;
